Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.server
Class RemoteServerConfiguration

    java.lang.Object
      org.jivesoftware.openfire.server.RemoteServerConfiguration

All Implemented Interfaces:
  Externalizable, Serializable, Cacheable

    public class RemoteServerConfiguration

extends Object
implements Cacheable, Externalizable

Holds the configuration when connecting to/from a remote server. The configuration specifies if incoming or outgoing connections are allowed to the remote server and the port to use when creating an outgoing connection.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Nested Class Summary
`static class` | `RemoteServerConfiguration.Permission`

Constructor Summary
`RemoteServerConfiguration()`
`RemoteServerConfiguration(String domain)`

Method Summary
`int` | `getCachedSize()` Returns the approximate size of the Object in bytes.
`String` | `getDomain()`
`RemoteServerConfiguration.Permission` | `getPermission()`
`int` | `getRemotePort()`
`void` | `readExternal(ObjectInput in)`
`void` | `setPermission(RemoteServerConfiguration.Permission permission)`
`void` | `setRemotePort(int remotePort)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteServerConfiguration

    public RemoteServerConfiguration()

### RemoteServerConfiguration

    public RemoteServerConfiguration(String domain)

Method Detail

### getDomain

    public String getDomain()

### getPermission

    public RemoteServerConfiguration.Permission getPermission()

### setPermission

    public void setPermission(RemoteServerConfiguration.Permission permission)

### getRemotePort

    public int getRemotePort()

### setRemotePort

    public void setRemotePort(int remotePort)

### getCachedSize

    public int getCachedSize()

  Description copied from interface: `Cacheable`
  Returns the approximate size of the Object in bytes. The size should be considered to be a best estimate of how much memory the Object occupies and may be based on empirical trials or dynamic calculations.

  Specified by:
    `getCachedSize` in interface `Cacheable`
  Returns:
    the size of the Object in bytes.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.